///
/// The TreeModel used by TreeControl.  Heavily based on the standard Java TreeModel.
/// 
/// Ben Bederson
/// Human-Computer Interaction Lab
/// University of Maryland
/// May, 2005
/// 
using System;

namespace TreeControl {
	public interface TreeModel {
		TreeNode GetChild(TreeNode parent, int index);              // Returns the child of parent at index index in the parent's child array
		int      GetChildCount(TreeNode parent);                    // Returns the number of children of parent
		int      GetIndexOfChild(TreeNode parent, TreeNode child);  // Returns the index of child in parent
		TreeNode GetRoot();                                         // Returns the root of the tree.
		bool     IsLeaf(TreeNode node);                             // Returns true if node is a leaf
		TreeNode GetColumnHeader();                                 // Returns the single column header
	}
}