///
/// A simple test program to evaluate TreeControl
/// 
/// Ben Bederson
/// Human-Computer Interaction Lab
/// University of Maryland
/// May, 2005
/// 
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace TreeControlTester {
	public class TreeControlTester : System.Windows.Forms.Form {
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.MainMenu mainMenu;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.MenuItem menuItem2;
		private System.Windows.Forms.MenuItem menuItem3;
		private System.Windows.Forms.FontDialog fontDialog;
		private System.Windows.Forms.MenuItem menuFont;

		private TreeControl.TreeControl treeControl;
		private TreeControl.TreeModel model;

		public TreeControlTester() {
			InitializeComponent();

			// Instantiate one model or the other by uncommenting one of the following two lines:
//			model = new FileSystemTreeModel("C:\\");
			model = new TestSystemTreeModel();

			treeControl = new TreeControl.TreeControl(model);
			treeControl.Bounds = ClientRectangle;
			treeControl.Anchor = AnchorStyles.Left | AnchorStyles.Right | AnchorStyles.Top | AnchorStyles.Bottom;
			Controls.Add(treeControl);
		}

		protected override void Dispose( bool disposing ) {
			if( disposing ) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent() {
			this.mainMenu = new System.Windows.Forms.MainMenu();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.menuItem2 = new System.Windows.Forms.MenuItem();
			this.menuItem3 = new System.Windows.Forms.MenuItem();
			this.menuFont = new System.Windows.Forms.MenuItem();
			this.fontDialog = new System.Windows.Forms.FontDialog();
			// 
			// mainMenu
			// 
			this.mainMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					 this.menuItem1,
																					 this.menuItem3});
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 0;
			this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem2});
			this.menuItem1.Text = "File";
			// 
			// menuItem2
			// 
			this.menuItem2.Index = 0;
			this.menuItem2.Text = "Exit";
			this.menuItem2.Click += new System.EventHandler(this.menuItem2_Click);
			// 
			// menuItem3
			// 
			this.menuItem3.Index = 1;
			this.menuItem3.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuFont});
			this.menuItem3.Text = "Edit";
			// 
			// menuFont
			// 
			this.menuFont.Index = 0;
			this.menuFont.Text = "Set Font ...";
			this.menuFont.Click += new System.EventHandler(this.menuItem4_Click);
			// 
			// TreeControlTester
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(424, 438);
			this.Menu = this.mainMenu;
			this.Name = "TreeControlTester";
			this.Text = "TreeControl Tester";

		}
		#endregion

		[STAThread]
		static void Main() {
			Application.Run(new TreeControlTester());
		}

		private void menuItem2_Click(object sender, System.EventArgs e) {
			Application.Exit();
		}

		private void menuItem4_Click(object sender, System.EventArgs e) {
			fontDialog.ShowDialog();
			treeControl.Font = fontDialog.Font;
		}
	}
}